using System.Collections.Generic;

namespace LeafWeb.Core.Charter
{
	public class CurveParamSet
	{
	    public CurveType CurveType { get; set; }

        public List<XyPoint> AnetMeasChloro1Data { get; } = new List<XyPoint>(); // y=AnetMeas column, x=PCO2c, for PointLimitType=1
		public List<XyPoint> AnetMeasChloro2Data { get; } = new List<XyPoint>(); // y=AnetMeas column, x=PCO2c, for PointLimitType=2
		public List<XyPoint> AnetMeasChloro3Data { get; } = new List<XyPoint>(); // y=AnetMeas column, x=PCO2c, for PointLimitType=3
		public List<XyPoint> AnetMeasInter1Data { get; } = new List<XyPoint>(); // y=AnetMeas column, x=PCO2i, for PointLimitType=1
		public List<XyPoint> AnetMeasInter2Data { get; } = new List<XyPoint>(); // y=AnetMeas column, x=PCO2i, for PointLimitType=2
		public List<XyPoint> AnetMeasInter3Data { get; } = new List<XyPoint>(); // y=AnetMeas column, x=PCO2i, for PointLimitType=3

		public List<XyPoint> AcChloroData { get; } = new List<XyPoint>();
		public List<XyPoint> AjChloroData { get; } = new List<XyPoint>();
		public List<XyPoint> AtChloroData { get; } = new List<XyPoint>();
		public List<XyPoint> AcInterData { get; } = new List<XyPoint>();
		public List<XyPoint> AjInterData { get; } = new List<XyPoint>();
		public List<XyPoint> AtInterData { get; } = new List<XyPoint>();
	}
}